package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 发送范围
 */
public enum SendScopeEnum implements IBaseEnum {

    ALL(1,"所有人可见", SysConstains.STYLE_DEFAULT),
    VIP(2,"VIP可见", SysConstains.STYLE_DEFAULT),
    ORDINARY(3,"普通用户可见", SysConstains.STYLE_DEFAULT),
    ;
    private int value;
    private String desc;
    private String style;

    SendScopeEnum(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }

    @Override
    public String getStyle() {
        return this.style;
    }

    public static SendScopeEnum getByValue(int value) {
        for (SendScopeEnum e : SendScopeEnum.values()) {
            if (e.getValue() == value) {
                return e;
            }
        }
        return null;
    }

    public static Map<String,String> getEnumMap(int... eItem) {
        Map<String,String> resultMap= new LinkedHashMap<String,String>();
        for (SendScopeEnum item : SendScopeEnum.values()) {
            try{
                boolean hasE = false;
                for (int e : eItem){
                    if(item.getValue()==e){
                        hasE = true;
                        break;
                    }
                }
                if(!hasE){
                    resultMap.put(item.getValue()+"", item.getDesc());
                }
            }catch(Exception ex){
            }
        }
        return resultMap;
    }
}
